angular.module('beamng.stuff')

.controller('derbyController',['$log', '$scope', '$state', 'bngApi', function ($log, $scope, $state, bngApi) {
  var vm = this;

  $scope.opponents = [
	{id:7, name:"7 Cars"},
	{id:6, name:"6 Cars"},
	{id:5, name:"5 Cars"},
	{id:4, name:"4 Cars"},
	{id:3, name:"3 Cars"},
	{id:2, name:"2 Cars"},
	{id:1, name:"1 Car"}
	];

	$scope.selectedOpponent = 3;
  $scope.arenas = [
	{id:3, name:"Grass"},
	{id:2, name:"Concrete"},
	{id:1, name:"Free Fall - Coming Soon"}
	];

	$scope.selectedArena = 3;
  $scope.states = [
	{id:2, name:"Default"},
	{id:1, name:"Stripped"}
	];

	$scope.selectedState = 2;

  //opponentCountNum call to derby_module_aicode.  Passes the count number.
 $scope.opponentCountNum = function(arg1) {
    console.log("calling function with arg: ", arg1);
    // call with no return value:
    bngApi.engineLua('derby_module_aicode.opponentCountNum(' + bngApi.serializeToLua(arg1) + ')');
 }
 $scope.arenaName = function(arg2) {
    console.log("calling function with arg: ", arg2);
    // call with no return value:
    bngApi.engineLua('derby_module_aicode.arenaName(' + bngApi.serializeToLua(arg2) + ')');
 }
 $scope.stateType = function(arg3) {
    console.log("calling function with arg: ", arg3);
    // call with no return value:
    bngApi.engineLua('derby_module_aicode.stateType(' + bngApi.serializeToLua(arg3) + ')');
 }

}])



